* {
    margin: 0;
    padding: 0;
    text-decoration: none;
}
a {
    color: var(--main-white);
}
:root {
    --soft-black: #461203;
    --hard-black: #290B02;
    --light-gray: #FDDDD4;
    --main-white: #FFF9F7;
    --red-coffee: #F23E0B; /* Main color */
    --orange-coffee: #F76D45; /* Secondary color */
}
html {
  font-size: 62.5%;
}
body {
    width: 100%;
    font-family: "Cabin", sans-serif;
}
header .header-container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: -1;
}
header .header-container {
    display: flex;
    width: 100%;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    position: relative;
    isolation: isolate;
}
.header-background-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -2;
}
.header-container .title-container {
    width: 250px;
    height: 4.5vh;
    margin: 40px auto 0;
    color: var(--main-white);
}
.title-container h1 {
    display: inline-block;
    vertical-align: top;
    font-size: 1.7rem;
    font-weight: bold;
    width: auto;
}
.title-container .logo {
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url('assets/icons/logocoffeewhite.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.header-container .subtitle {
    width: 85%;
    font-weight: bold;
    margin-left: 8%;
    margin-top: 18px;
    line-height: 3.7rem;
    font-size: 2.4rem;
    color: var(--main-white)
}
.cacontainer {
    width: 100%;
    height: 150px;
}
.cacontainer .mainca {
    position: relative;
    width: 100px;
    height: 37px;
    text-align: left;
    padding-left: 13px;
    background-color: var(--orange-coffee);
    color: var(--light-gray);
    font-weight: bold;
    font-size: 1.3rem;
    margin-top: 35px;
    border: none;
    border-radius: 5px;
    box-shadow: 2px 2px 10px var(--hard-black);
    cursor: pointer;
}
.cacontainer span {
    position: absolute;
    width: 14px;
    height: 14px;
    top: 29%;
    right: 9%;
    background-image: url('./assets/icons/map.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.cacontainer .secondca {
    color: var(--light-gray);
    font-weight: bold;
    font-size: 1.3rem;
    margin-top: 15px;
}
main {
    width: 100%;
    background-color: var(--main-white);
}
.description-container {
    width: 100%;
    text-align: center;
    padding-top: 60px;
}
.description-container .description-container__text {
    width: 270px;
    height: 70px;
    margin-left: calc(50% - 135px);
    font-size: 1.7rem;
    padding-bottom: 130px;
    color: var(--hard-black);
}
.description-container .description-container__img {
    display: block;
    width: 100%;
    height: 300px;
    background-image: url('./assets/imgs/farmer.jpg');
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}
.menu-container {
    width: 100%;
    height: 380px;
    margin-top: 60px;
    text-align: center;
}
.menu-container h2 {
    font-size: 2.2rem;
    margin-bottom: 20px;
    color: var(--soft-black);
}
.menu-container .product-carousel-container {
    display: flex;
    overflow-x: scroll;
    margin: 0 auto;
    overscroll-behavior-x: contain;
    scroll-snap-type: x proximity;
}
.menu-container .product-carousel-container::-webkit-scrollbar {
    display: none;
    width: 0;
    height: 0;
}
.product-carousel-container div:nth-child(2) {
    margin: 0 30px 0 30px;
}
.product-card {
    position: relative;
    width: 210px;
    height: 290px;
    margin-bottom: 10px;
    flex-shrink: 0;
    scroll-snap-align: center;
    box-shadow: 2px 2px 4px var(--light-gray);
    border-radius: 15px;
}
.product-card:first-of-type {
    margin-left: calc(50% - 105px);
}
.product-card:last-of-type {
    margin-right: calc(50% - 105px);
}
.product-card .product-card__img1 {
    display: block;
    width: 100%;
    height: 180px;
    background-image: url('./assets/imgs/coffee1.jpg');
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 15px 15px 25px 0;
}
.product-card .product-card__img2 {
    display: block;
    width: 100%;
    height: 180px;
    background-image: url('./assets/imgs/coffee2.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 15px 15px 25px 0;
}
.product-card .product-card__img3 {
    display: block;
    width: 100%;
    height: 180px;
    background-image: url('./assets/imgs/coffee3.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 15px 15px 25px 0;
}
.product-card h3 {
    font-size: 1.6rem;
    font-weight: bold;
    margin: 6px 0 4px 0;
    color: var(--hard-black);
}
.product-card__description ul{
    list-style-type: none;
}
.product-card__description ul li:nth-child(1){
    font-size: 1.2rem;
    margin-bottom: 4px;
}
.product-card__description ul li:nth-child(2){
    margin: 2px 12px 0 12px;
    color: #1b0600;
}
.product-card .product-card__price {
    position: absolute;
    right: 15px;
    bottom: 7px;
    font-size: 1.2rem;
    font-weight: bold;
}
.address-container {
    width: 100%;
    margin-top: 40px;
    height: auto;
    text-align: center;
}
.address-container .address-container__description h3 {
    font-size: 1.6rem;
    font-weight: bold;
    margin-bottom: 30px;
    color: var(--hard-black);
}
.address-container .address-container__description {
    font-size: 1.25rem;
    margin-top: 30px;
    margin-bottom: 5px;
    padding: 18px;
}
.address-container .address-container__map {
    position: relative;
    width: 290px;
    height: 290px;
    margin: 10px auto 150px;
    border: none;
    border-radius: 15px;
    box-shadow: 3px 3px 15px var(--light-gray);
}
.address-container__map .address-map iframe{
    position: absolute;
    overflow: hidden;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    top: 10px;
    left: 0;
}
footer {
    width: 100%;
    padding-bottom: 20px;
    background-color: var(--light-gray);
    text-align: center;
}
footer .footer-container__icons {
    display: flex;
    justify-content: center;
}
.footer-container__icons span{
    display: inline-block;
    width: 20px;
    height: 20px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 30px 6px 15px;
}
.footer-container__icons .icon-facebook {
    background-image: url('./assets/icons/facebook.png');
}
.footer-container__icons .icon-instagram {
    background-image: url('./assets/icons/instagram.png');
}
footer .footer-container__copyright {
    font-size: 0.95rem;
    color: var(--hard-black);
}